Package io.strimzi.systemtest.utils.kafkaUtils

## Class KafkaConnectorUtils

- java.lang.Object
- - io.strimzi.systemtest.utils.kafkaUtils.KafkaConnectorUtils

-     public class KafkaConnectorUtils
      extends Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `createFileSinkConnector​(String podName, String topicName, String sinkFileName, String apiUrl)` |
    `static String` | `getConnectorConfig​(String podName, String connectorName, String apiUrl)` |
    `static String` | `getConnectorSpecFromConnectAPI​(String podName, String connectorName)` |
    `static String` | `getCreatedConnectors​(String connectPodName)` |
    `static String` | `waitForConnectorConfigUpdate​(String podName, String connectorName, String oldConfig, String apiUrl)` |
    `static void` | `waitForConnectorCreation​(String connectS2IPodName, String connectorName)` |
    `static void` | `waitForConnectorDeletion​(String connectorName)` |
    `static void` | `waitForConnectorNotReady​(String connectorName)` |
    `static void` | `waitForConnectorReady​(String connectorName)` |
    `static void` | `waitForConnectorStability​(String connectorName, String connectPodName)` | WaitForStabilityConnector method, verifying stability of connector
    `static void` | `waitForConnectorsTaskMaxChange​(String connectorName, int taskMax)` |
    `static void` | `waitForConnectorStatus​(String connectorName, Enum<?> state)` | Wait until KafkaConnector is in desired state

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### waitForConnectorStability

          public static void waitForConnectorStability​(String connectorName,
                                                       String connectPodName)

      WaitForStabilityConnector method, verifying stability of connector
      Parameters:
        `connectorName` - connector name
        `connectPodName` - connects2i or connect pod name

    - #### waitForConnectorStatus

          public static void waitForConnectorStatus​(String connectorName,
                                                    Enum<?> state)

      Wait until KafkaConnector is in desired state
      Parameters:
        `connectorName` - name of KafkaConnector
        `state` - desired state

    - #### waitForConnectorReady

          public static void waitForConnectorReady​(String connectorName)

    - #### waitForConnectorNotReady

          public static void waitForConnectorNotReady​(String connectorName)

    - #### getCreatedConnectors

          public static String getCreatedConnectors​(String connectPodName)

    - #### waitForConnectorCreation

          public static void waitForConnectorCreation​(String connectS2IPodName,
                                                      String connectorName)

    - #### waitForConnectorDeletion

          public static void waitForConnectorDeletion​(String connectorName)

    - #### createFileSinkConnector

          public static void createFileSinkConnector​(String podName,
                                                     String topicName,
                                                     String sinkFileName,
                                                     String apiUrl)

    - #### waitForConnectorsTaskMaxChange

          public static void waitForConnectorsTaskMaxChange​(String connectorName,
                                                            int taskMax)

    - #### getConnectorSpecFromConnectAPI

          public static String getConnectorSpecFromConnectAPI​(String podName,
                                                              String connectorName)

    - #### getConnectorConfig

          public static String getConnectorConfig​(String podName,
                                                  String connectorName,
                                                  String apiUrl)

    - #### waitForConnectorConfigUpdate

          public static String waitForConnectorConfigUpdate​(String podName,
                                                            String connectorName,
                                                            String oldConfig,
                                                            String apiUrl)